/* radiance.h */

#ifndef _RADIANCE_H_
#define _RADIANCE_H_

#include "color.h"

/* computes the ambient radiance from the unshot power in the scene */
extern COLOR *ComputeAmbientRadiance(void);

/* sets the ambient radiance */
extern void SetAmbientRadiance(COLOR *ambirad);

/* gets the ambient radiance */
extern COLOR *GetAmbientRadiance(void);

/* initialiseert de radiantieberekeningen: wordt opgeroepen onmiddelijk na het
 * inladen van een scene */
extern void InitRadianceComputation(void);

#include "patch.h"
/* bereken de vertex radianties van de vertices van de patch */
extern void PatchComputeVertexColors(PATCH *patch);

#endif /*_RADIANCE_H_*/





